#!/bin/bash

if [ "x$PERLCROSS_HOME" = "x" ] ; then
  source ./perl-devel.sh
fi

export HOME=$PERL_CROSS_HOME

if [ ! -d perl-5.16.0.host ] ; then
  echo "Untarring Perl source"
  tar xzf perl-5.16.0.tar.gz
fi

cd perl-5.16.0/ \
  && ./Configure -des -Dprefix=$PERL_CROSS_HOME/hostperl-5.16.0 \
  && make \
  && make install \
  && cd $PERL_CROSS_HOME

/bin/mv perl-5.16.0 perl-5.16.0.host

echo "****"
echo "* Now run ./PERL-CROSS-STAGE2.sh"
echo "****"
